%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-Pod-Simple
Version:        3.02
Release:        0.fdr.1.2
Epoch:          0
Summary:        Framework for parsing POD documentation

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Pod-Simple/
Source0:        http://www.cpan.org/authors/id/S/SB/SBURKE/Pod-Simple-3.02.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 2:5.8.0
BuildRequires:  perl(Pod::Escapes)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Pod::Simple is a Perl library for parsing text in the Pod ("plain old
documentation") markup language that is typically used for writing
documentation for Perl and for Perl modules.


%prep
%setup -q -n Pod-Simple-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorlib}/Pod
%{_mandir}/man3/*.3*
%exclude %{perl_vendorlib}/perlpod*.pod
%exclude %{_mandir}/man3/perlpod*.3*


%changelog
* Tue May 25 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:3.02-0.fdr.1
- Update to 3.02.

* Sun May  9 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:2.06-0.fdr.1
- Update to 2.06.
- Avoid creation of the perllocal.pod file (make pure_install).

* Sun May  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.05-0.fdr.3
- Use canonical source URL (bug 1541).
- Exclude duplicate POD manpages too (bug 1541).
- Requires perl 5.8 or newer (bug 1541).

* Fri Apr 30 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.05-0.fdr.2
- Require perl(:MODULE_COMPAT_*).
- Reduce directory ownership bloat.
- Exclude POD docs that are part of perl itself.

* Wed Nov  5 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.05-0.fdr.1
- First build.
